let b:int=5

module D = struct
  let c:int=4
end

module A = struct
  let c:unit=()
  let ab:unit=()
  module A = struct
    module D = struct
      let c:unit=()
    end
    let ab:int = 3
  end
  let a:int=A.D.c
  let c:int=D.c
end

let () = print_int A.c
